Bug 857951 - SELinux is preventing /usr/sbin/sysctl from using the 'setsched' accesses on a process.
SELinux is preventing /usr/sbin/sysctl from using the 'setsched' accesses on ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:909369d5d136010672ab878bd86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 11:07 EDT by Mihai Harpau
Modified: 2012-12-20 11:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:23:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-17 11:07 EDT, Mihai Harpau
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-17 11:07 EDT, Mihai Harpau
no flags Details

  None (edit)
Description Mihai Harpau 2012-09-17 11:07:04 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.5.3-1.fc17.x86_64

description:
:SELinux is preventing /usr/sbin/sysctl from using the 'setsched' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that sysctl should be allowed setsched access on processes labeled kernel_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep sysctl /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:tuned_t:s0
:Target Context                system_u:system_r:kernel_t:s0
:Target Objects                 [ process ]
:Source                        sysctl
:Source Path                   /usr/sbin/sysctl
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           procps-3.2.8-26.20110302git.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-146.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug
:                              29 18:46:34 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-09-17 18:05:28 EEST
:Last Seen                     2012-09-17 18:05:28 EEST
:Local ID                      0aa8d9d0-9bee-405f-a5bf-c7636e72110d
:
:Raw Audit Messages
:type=AVC msg=audit(1347894328.311:489): avc:  denied  { setsched } for  pid=10290 comm="sysctl" scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process
:
:
:type=AVC msg=audit(1347894328.311:489): avc:  denied  { setsched } for  pid=10290 comm="sysctl" scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process
:
:
:type=SYSCALL msg=audit(1347894328.311:489): arch=x86_64 syscall=write success=yes exit=ENOENT a0=5 a1=7fef4df15000 a2=2 a3=22 items=0 ppid=908 pid=10290 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=sysctl exe=/usr/sbin/sysctl subj=system_u:system_r:tuned_t:s0 key=(null)
:
:Hash: sysctl,tuned_t,kernel_t,process,setsched
:
:audit2allow
:
:#============= tuned_t ==============
:allow tuned_t kernel_t:process setsched;
:
:audit2allow -R
:
:#============= tuned_t ==============
:allow tuned_t kernel_t:process setsched;
:
Comment 1 Mihai Harpau 2012-09-17 11:07:07 EDT
Created attachment 613710 [details]
File: type
Comment 2 Mihai Harpau 2012-09-17 11:07:09 EDT
Created attachment 613711 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-09-17 19:08:08 EDT
This should be allowed.
Comment 4 Miroslav Grepl 2012-10-17 04:11:08 EDT
Added.

commit 8bdb24d3b2a231127459415b507125c6691319aa
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Oct 17 10:10:47 2012 +0200

    Allow tuned to setsched kernel
Comment 5 Fedora Update System 2012-10-17 08:34:18 EDT
selinux-policy-3.10.0-156.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-156.fc17
Comment 6 Fedora Update System 2012-10-17 20:25:25 EDT
Package selinux-policy-3.10.0-156.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-156.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16347/selinux-policy-3.10.0-156.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 11:23:08 EST
selinux-policy-3.10.0-156.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.